int lineLength = 150;

void setup() {
  size(512, 512);
  frameRate(60);
}

void drawLine() {
  stroke(128);
  strokeWeight(10);
  line(0, 0, lineLength, 0);
}

void draw() {
  background(255);
  translate(width / 2, height);
  rotate(-HALF_PI);

  drawLine();
  translate(lineLength, 0);
  rotate(-PI / 4);
  for (int i = 0; i < 4; i++) {
    pushMatrix();
    drawLine();
    translate(lineLength, 0);
    rotate(-PI / 4);
    for (int j = 0; j < 4; j++) {
      drawLine();
      rotate(PI / 6);
    }
    popMatrix();
    rotate(PI / 6);
  }
}