void setup() {
  size(512, 512);
  frameRate(60);
}

void drawEdge(int level) {
  float l = 100;
  line(0, 0, l, 0);
  pushMatrix();
  translate(l, 0);
  scale(0.8);
  if (level < 10) {
    rotate(PI / 10);
    drawEdge(level + 1);
    rotate(-PI / 5);
    drawEdge(level + 1);
  }
  popMatrix();
}

void draw() {
  background(255);
  translate(width / 2, height);
  rotate(-HALF_PI);
  stroke(0);
  strokeWeight(1);
  noFill();
  drawEdge(0);
}